# -*- coding: utf-8 -*-

"""
Unittests for save_plot
"""

import os
import unittest
import matplotlib.pyplot as plt
from plotid.save_plot import save_plot

FIGURE = plt.figure()
PLOT_NAME = 'PLOT_NAME'


class TestSavePlot(unittest.TestCase):
    """
    Class for all unittests of the save_plot module.
    """

    def test_save_plot(self):
        """  Test if save_plot succeeds with valid arguments. """
        save_plot(FIGURE, PLOT_NAME, extension='jpg')
        os.remove(PLOT_NAME + '.jpg')

    def test_wrong_fig_type(self):
        """ Test if Error is raised when not a figure object is given. """
        with self.assertRaises(TypeError):
            save_plot('figure', 'PLOT_NAME', extension='jpg')


if __name__ == '__main__':
    unittest.main()
